<template>
  <div class="main">
    <flex class="nav-wrapper" dir="row">
      <nav><slot></slot></nav>
    </flex>
  </div>
</template>
<script>
export default {
  name: 'sub-nav'
}
</script>
<style lang="scss" scoped>
@import 'butter-themes';
@import 'butter-mixins';

.main {
  @include themify($themes) {
    background-color: themed('color-bg-secondary');
  }
  height: 61px;
  padding: 0 $grid*1.25;
  border-bottom: 1px solid #DEE5EF;
  box-sizing: border-box;
}

.nav-wrapper {
  max-width: $page-width;
  margin: auto;
  height: 100%;
}

nav {
  display: flex;
  flex-direction: row;
  align-items: stretch;
  flex-grow: 1;

  /deep/ > * {
    @include themify($themes) {
      color: themed('color-text-tertiary');
      flex-shrink: 1;
      display: flex;
      align-items: center;
      border-bottom: 2px solid transparent;
    }

    padding: 0 24px;
  }
  /deep/ > .active {
    @include themify($themes) {
      color: themed('color-text-primary');
      border-bottom: 2px solid themed('color-ui-accent');
    }
  }
}
</style>
